/* 
** 类检测
** 对象，className
** true or false 
*/
function hasClass(obj,cls) { 
    return obj.className.match(new RegExp('(\\s|^)'+cls+'(\\s|$)')); 
} 
/* 
** 类检测
** 对象，className
** 对象className改变
*/
function addClassName(obj,cls)
{
  obj.className= obj.className + " " +cls;
}
/* 
** 类检测
** 对象，className
** 对象className改变
*/

function removeClass(obj,cls){
    if (hasClass(obj,cls)){ 
        var reg = new RegExp('(\\s|^)'+cls+'(\\s|$)'); 
        obj.className=obj.className.replace(reg,''); 
    } 
}
/* 
** 绑定事件
** 页面上的全部a标签
** className操作 
*/
function touchlink(){
var myLinks = document.getElementsByTagName('a');
for(var i = 0; i < myLinks.length; i++){
　 　myLinks[i].addEventListener('touchstart', function(){addClassName(this,"hover");}, false);
　　 myLinks[i].addEventListener('touchend', function(){removeClass(this,'hover');}, false); 
    /*myLinks[i].addEventListener('mouseover', function(){addClassName(this,"hover");}, false);
　　  myLinks[i].addEventListener('mouseout', function(){removeClass(this,'hover');}, false);*/
    }
}
    
window.onload = function(){
    //触摸事件
    touchlink();
    var ctx;
    var drawIntervalID;
    var spokes = 12;    // Number of spokes on the wheel
    var canvas = document.getElementById('loadCanvas');
    if(canvas){
        if (canvas.getContext){  
            ctx = canvas.getContext('2d');
            ctx.translate(15,15);    // Center the origin
            ctx.lineWidth = 2;
            ctx.lineCap = "square"
            drawIntervalID = setInterval(draw,90);
            return drawIntervalID;
        }
        function draw(){
            ctx.clearRect(-20,-20,50,50);        // Clear the image
            ctx.rotate(Math.PI*2/spokes);    // Rotate the origin
            for (var i=0; i<spokes; i++) {
                ctx.rotate(Math.PI*2/spokes);    // Rotate the origin
                ctx.strokeStyle = "rgba(100,100,100,"+ i*2/spokes +")";
                ctx.shadowOffsetX = 0;  
                ctx.shadowOffsetY = 0.5;  
                ctx.shadowBlur = 1;  
                ctx.shadowColor = "rgba(0, 0, 0, 0.1)";  
                ctx.beginPath();
                ctx.moveTo(0,6.5);
                ctx.lineTo(0,12);
                ctx.stroke();
            }
        }
    }
}

